<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="author" content="Joseph Gruber">

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?amily=Raleway&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/main.css">

    <link rel="canonical" href="https://labelyouraxes.com" />

    <title>Label your axes!</title>

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NN1S16E11H"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag() { dataLayer.push(arguments); }
        gtag('js', new Date());

        gtag('config', 'G-NN1S16E11H');
    </script>
</head>

<body class="d-flex flex-column h-100">
    <main role="main" class="flex-shrink-0">
        <div class="container">
            <h1 class="mt-3 text-center">Label Your Axes!</h1>

            <div class="d-flex justify-content-center">
                <canvas id="chart" class="mt-2 mb-4"></canvas>
                <!---
                Oh you want to know what this chart is? See how important it is to label your axes?
                Well, since you're snooping I'll let you in on the secret. It's a graph of the number
                of orbital launches by each country (USA, Russia, and China) for the past 22 years. The x-axis
                is the year and the y-axis is the number of launches.
                Data credit: https://space.skyrocket.de/
                --->
            </div>

            <hr class="mt-0">

            <div class="row">
                <div class="col-md-7">
                    <h3>Did someone send you here?</h3>
                    <p class="lead">Then you've probably made the grave mistake of not labelling an axis!</p>
                    <p class="text-justify">See the plot above? Notice how it's confusing to determine what the graph is
                        trying to display? That's because there's no written indication of what is being represented
                        along the x-axis or y-axis.</p>
                    <p class="text-justify">Every axis should have a label, without exception. Ok, if your axis is
                        months of the year maybe you can leave it off. But better safe then sorry - label that axis!</p>
                    <p class="text-justify">And while you're labeling your axes, don't forget to include the scale (or
                        unit of measure). You might label your axis as <i>Length</i>, but is that in yards or
                        meters? Don't let confusion on scale result in <a
                            href="https://solarsystem.nasa.gov/missions/mars-climate-orbiter/in-depth/"
                            target="_blank">losing your Mars spacecraft</a>!</p>
                </div>


                <div class="col-md-5">
                    <a href="https://xkcd.com/833/" target="_blank">
                        <img class="img-fluid mx-auto mb-3"
                            alt="And if you labeled your axes, I could tell you exactly how MUCH better."
                            src="https://imgs.xkcd.com/comics/convincing.png">
                    </a>
                </div>
            </div>
        </div>
    </main>

    <footer class="text-muted footer mt-auto">
        <div class="container">
            <hr class="mt-0">
            <p class="float-right">
                <a href="https://www.buymeacoffee.com/josephgruber" target="_blank"><img
                        src="images/bmc-full-logo-no-background.png" alt="Buy Me A Coffee"
                        style="height: 30px !important;"></a>
            </p>
            <p>Credit: <a href="https://josephgruber.com" target="_blank">Joseph Gruber</a></p>
        </div>
    </footer>

    <div class="gitlab-corner-wrapper">
        <a href="https://gitlab.com/joseph.gruber/labelyouraxes.com" target="_blank" class="gitlab-corner"
            aria-label="View source on GitLab"><svg id="logo_art" data-name="logo art"
                xmlns="http://www.w3.org/2000/svg" viewbox="0 0 586 559">
                <g id="g44">
                    <path id="path46" class="cls-1"
                        d="M461.17,301.83l-18.91-58.12L404.84,128.43a6.47,6.47,0,0,0-12.27,0L355.15,243.64H230.82L193.4,128.43a6.46,6.46,0,0,0-12.26,0L143.78,243.64l-18.91,58.19a12.88,12.88,0,0,0,4.66,14.39L293,435,456.44,316.22a12.9,12.9,0,0,0,4.73-14.39" />
                </g>
                <g id="g48">
                    <path id="path50" class="cls-2" d="M293,434.91h0l62.16-191.28H230.87L293,434.91Z" />
                </g>
                <g id="g56">
                    <path id="path58" class="cls-1" d="M293,434.91,230.82,243.63h-87L293,434.91Z" />
                </g>
                <g id="g64">
                    <path id="path66" class="cls-3"
                        d="M143.75,243.69h0l-18.91,58.12a12.88,12.88,0,0,0,4.66,14.39L293,435,143.75,243.69Z" />
                </g>
                <g id="g72">
                    <path id="path74" class="cls-2"
                        d="M143.78,243.69h87.11L193.4,128.49a6.47,6.47,0,0,0-12.27,0l-37.35,115.2Z" />
                </g>
                <g id="g76">
                    <path id="path78" class="cls-1" d="M293,434.91l62.16-191.28H442.3L293,434.91Z" />
                </g>
                <g id="g80">
                    <path id="path82" class="cls-3"
                        d="M442.24,243.69h0l18.91,58.12a12.85,12.85,0,0,1-4.66,14.39L293,434.91l149.2-191.22Z" />
                </g>
                <g id="g84">
                    <path id="path86" class="cls-2"
                        d="M442.28,243.69h-87.1l37.42-115.2a6.46,6.46,0,0,1,12.26,0l37.42,115.2Z" />
                </g>
            </svg></a>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.0.2/chart.min.js"
        integrity="sha512-dnUg2JxjlVoXHVdSMWDYm2Y5xcIrJg1N+juOuRi0yLVkku/g26rwHwysJDAMwahaDfRpr1AxFz43ktuMPr/l1A=="
        crossorigin="anonymous"></script>
    <script src="assets/js/main.js"></script>
</body>

</html>
